Subject: Re: Unicast hash for IXGBEVF driver

From: "J.Hwan Kim" <[email-masked]>
Date: Tue, 30 Aug 2011 10:05:47 +0900

On 2011년 08월 30일 03:24, Rose, Gregory V wrote:
> The ROPE bits should not be set for any of the VFs and only on the PF when it is in promiscuous mode.
>
> The PFUTA bits are imperfect MAC address hash filters.  By setting them all to ones and then turning on the ROPE bit for each of the VFs you're essentially putting the VF into a sort of fake promiscuous mode.
>
> This is not recommended.  Older drivers that did this had a bug in them.
>
> - Greg

Hi, Greg,
Thank you for reply.
When I have two streams of which destination mac address, for example 
34:22:11:13:23:55 and 14:12:34:23:12:33,
and I have 2VFs, how can I set the PFUTA register for distributting the 
streams into 2VFs according to the MAC address?
I want to first MAC address stream to first VF and second MAC address 
stream to second VF.

>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jeff Kirsher
>> Sent: Saturday, August 27, 2011 12:35 AM
>> To: J.Hwan Kim; Rose, Gregory V
>> Cc: netdev; [email-masked]
>> Subject: Re: Unicast hash for IXGBEVF driver
>>
>> On Sat, Aug 27, 2011 at 00:23, J.Hwan Kim<[email-masked]>  wrote:
>>> Hi, everyone
>>>
>>> How can I distribute the packets according to destination MAC address
>>> into multi-virtual fucntion queue?
>>> Now, my setting is that all bit of PFUTA are '1' and ROPE bit is 1,
>>> so all mac packet is duplicated to all VF queue.
>>> I cannot understand the meaning of bits of PFUTA and the relation
>>> with mac address.
>>> I want to distribute the received packets to RX queues respectively,
>>> not duplicated.
>>>
>>>
>>> Thanks in advance.
>>>
>>> Best Regards,
>>> J.Hwan Kim
>>>
>> Adding Greg Rose, since he is the ixgbevf driver maintainer.  He
>> should be able to answer your questions early next week, unless he is
>> checking his email over the weekend.
>>
>> --
>> Cheers,
>> Jeff